declare var module;

import { getLogger } from "pi_tools/logger";

let {logE} = getLogger(module.name, "gui");

// 直接调用，res上可能没有destroy方法，调用会出错，所以封装出来
export const destroy_res = (res: any) => {
	try {
		res.destroy && res.destroy();
	} catch (error) {
		logE(error?.message, error?.stack);
	}
}