
export * from "pi_sys/snapshot/export_interface";
import { CharPos, create_engine as create_engine1, query_text as query_text2, get_text_pos as get_text_pos2} from "pi_sys/snapshot/export_interface";
import { create_gui as create_gui1} from "pi_sys/snapshot/export_interface";
import {node_is_exist as node_is_exist1, set_background_image, set_transform_origin, set_class as set_class1} from "pi_sys/snapshot/export_interface";

// export const Atom = Object;

let engine;
export function create_engine(r: number, width: number, height: number, asset_mgr: NativeObjectWrapper, r1: number, cfg: string, asset_collect_interval: any) {
	if (!engine) {
		console.log("create_engine start2====");
		let window = globalThis.getWindow();
		console.log("create_engine start3====");
		console.log("create_engine start4====", window);
		engine = create_engine1(window, width, height, asset_mgr, r1, cfg, asset_collect_interval);
		console.log("create_engine start5====");
	}
	console.log("create_engine end1====");
	return engine;
}

export function create_gui(context: number, engine: object, width: number, height: number, load_image_fun: Function, class_sheet: number, font_sheet: number, cur_time: number, animation_event_fun: number,debug: number, use_sdf: boolean): object {
	console.log("create_gui start1====", load_image_fun);
	return create_gui1(0, engine, width, height, load_image_fun, 0, 0,0 ,0, debug, use_sdf);
}

export function clone_engine(engine) {
	return engine;
}

export function transform_origin(gui: object, node_id: number, x_ty: number, x: number, y_ty: number, y: number): void {
	set_transform_origin(gui, node_id, x_ty, x, y_ty, y);
}


export function add_canvas_font(world: number, factor_t: number, factor_b: number, name: number): void { }

export function add_font_face(world: number, oblique: number, size: number, weight: number, family: number, src: Uint32Array): void { }

export function set_default_style_by_bin(world: number, oblique: number): void { }

export function create_render_target(world: number, oblique: number): void { }

export function bind_render_target(world: number, oblique: number): void { }

export function set_src(world: object, node_id: number, src: object) {
	set_background_image(world, node_id, src);
}

export function node_is_exist(gui: object, node: number): boolean {
	return node_is_exist1(engine, node)
}

export function set_class(gui: object, node_id: number, class_name: number[]): void {
	set_class1(gui, node_id, [...class_name])
}

export function query_text(engine: NativeObjectWrapper, node_id: number, x: number, y: number): CharPos {
	let r = query_text2(engine, node_id, x, y)
	return CharPos.from(r);
}

export function get_text_pos(gui: NativeObjectWrapper, engine: NativeObjectWrapper, node_id: number, index: number): CharPos {
	let r = get_text_pos2(gui, engine, node_id, index)
	return CharPos.from(r);
}
