export * from "./wasm_engine.wasm";
import {FontFace, Rect, Circle, Segment, Ellipse, Polygon, Polyline, Path, brotli_decompressor, SvgInfo, OutlineInfo } from "./pi_sdf.wasm";
export {AtomTable, atomTable} from "./snippets/gui_web-fe567f277be011de/js/utils"; 
import {initSdfEnv} from "./snippets/pi_hal/js/utils"; 
 
export const IS_NEW_ENGINE = true;

initSdfEnv(FontFace, Circle, Rect, Segment, Ellipse, Polygon, Polyline, Path, SvgInfo, brotli_decompressor, OutlineInfo);

// pi_app
// export * from "./native/dom";
// export {AtomTable, atomTable} from "./snippets/gui_web-fe567f277be011de/js/utils";  
// export const IS_NEW_ENGINE = true;