import { FontFace, OutlineInfo, Segment, SvgInfo } from "./pi_sdf.wasm";

let key = 0;
const fontMap = new Map<number, FontFace>()

window["__time"] = 0;

// export const computerSdf = (box: ArrayBuffer, outline: any) => {
//     // console.log(  box, outline);
//     let r = FontFace.compute_sdf2(new Float32Array(box), new Uint8Array(outline));
//     return r.buffer;
// }

// export const createFace = (font_data: Uint8Array) => {
//     fontMap.set(key, FontFace.new(font_data));
//     key += 1;
//     return key - 1;
// }

// export const computeTextSdf = (font_id: number, text: string) => {
//     return fontMap.get(font_id).compute_text_sdf(text);
// }
window.__computeTime = 0;
export const computeNearArcs = (outline: ArrayBuffer, scale: number) => {
    let begin = performance.now();
    let r = OutlineInfo.compute_near_arcs_of_wasm(new Uint8Array(outline), scale).buffer;
    window.__computeTime += performance.now() - begin;
    // console.log(" computeNearArcs  success: time:  ", performance.now() - begin);
    return r;
}

export const computeSvgSdfTexOfWasm = (info: ArrayBuffer, tex_size: number, pxrange: number, is_outer_glow: boolean, cur_off: number, scale: number) => {
    // let begin = performance.now();
     let r = SvgInfo.compute_sdf_tex_of_wasm(new Uint8Array(info), tex_size, pxrange, is_outer_glow, cur_off, scale).buffer;
    //  console.log(" computeSvgSdfTexOfWasm  success: time:  ", performance.now() - begin);
     return r;
}

// workerǲwasmⲿֶһwasmķwasmصworker
export const initWasm = () => {
    // let begin = performance.now();
     let r = Segment.new(0.0, 0.0, 1.0, 1.0, undefined);
    //  console.log(" computeSvgSdfTexOfWasm  success: time:  ", performance.now() - begin);
     return r;
}